<?php
$TIPOPESSOA = (string) $model->CLI_TIPOPESSOA;
$UpdateFull = $model->canUpdateAllFields();
/*$UpdateFull = false;
if (!$model->isNewRecord) {
    if ((User::isAdmin() or User::getPrivilegio() == 7 ) or ( $model->CLI_SITUACAO != "A" and $model->CLI_SITUACAO != "I" and $model->CLI_SITUACAO != "C") or ( User::getPrivilegio() == 11 and User::canUpdate())) {
        $UpdateFull = true;
    }
} else {
    $UpdateFull = true;
}*/

$script =  <<<JAVASCRIPT
$(document).ready( function() {
    $("#submit_button").click(function() {
        $(this).prop("disabled",true).parents("form").submit();
    });
    var conta_linhas = $("#append_email").find('input').length;
    $("#add_email").click(function() {
        conta_linhas += 1;
        var id = 'Clientes_CLE_EMAIL'+conta_linhas;
        var linha = '<div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group"><label for="'+id+'">E-mail Adicional '+conta_linhas+'</label> <input maxlength="50" filter="email" class="lower" name="Clientes[CLE_EMAIL]['+conta_linhas+']" id="'+id+'" type="text"></div>';
        $("#append_email").append(linha);
        $('#clientes-form').valida({
            autocomplete: 'off',
            tag: 'div',
            validate: 'novalidate',
            messages: {
                submit: 'Aguarde ...',
                required: 'Este campo é obrigatório',
                invalid: 'Campo com dados inválidos',
                textarea_help: 'Digitados <span class="at-counter">{0}</span> de {1} caracteres'
            },
            use_filter: true,
            before_validate: null,
            after_validate: null
        });
    });
})
JAVASCRIPT;

Yii::app()->clientScript->registerScript('submit', $script);


$whatsappFields = array();
if (!empty($model->CLI_WHATSAPP_FIELDS)) {
    $whatsappFields = $model->loadWhatsappFields();
}

if (!empty($Interessado)) {

    $Interessado = Interessados::model()->findByPk($Interessado);
    $cnpj = Util::unmask($Interessado->INT_CPF_CNPJ, Mask::DOCUMENTO);
    if (empty((int) $cnpj)) {
        $Interessado->INT_CPF_CNPJ = null;
    }

    if (isset($Interessado->INT_IDVENDEDOR)) {
        if (empty($model->CLI_IDVENDEDOR)) {
            $model->CLI_IDVENDEDOR = $Interessado->INT_IDVENDEDOR;
        }

        if (empty($model->CLI_TIPOPESSOA)) {
            $model->CLI_TIPOPESSOA = $Interessado->INT_TIPOPESSOA;
        }

        if (empty($model->CLI_NOME)) {
            $model->CLI_NOME = $Interessado->INT_EMPRESA;
        }

        if (empty($model->CLI_CONTATO)) {
            $model->CLI_CONTATO = $Interessado->INT_NOME;
        }

        if (empty($model->CLI_FANTASIA)) {
            $model->CLI_FANTASIA = $Interessado->INT_EMPRESA;
        }

        if (empty($model->CLI_ENDERECO)) {
            $model->CLI_ENDERECO = $Interessado->INT_ENDERECO;
        }

        if (empty($model->CLI_NUMERO)) {
            $model->CLI_NUMERO = $Interessado->INT_NUMERO;
        }

        if (empty($model->CLI_CNPJCPF)) {
            $model->CLI_CNPJCPF = $Interessado->INT_CPF_CNPJ;
        }

        if (empty($model->CLI_COMPLEMENTO)) {
            $model->CLI_COMPLEMENTO = $Interessado->INT_COMPLEMENTO;
        }

        if (empty($model->CLI_BAIRRO)) {
            $model->CLI_BAIRRO = $Interessado->INT_BAIRRO;
        }

        if (empty($model->CLI_CIDADE)) {
            $model->CLI_CIDADE = $Interessado->INT_CIDADE;
        }

        if (empty($model->CLI_CEP)) {
            $model->CLI_CEP = $Interessado->INT_CEP;
        }

        if (empty($model->CLI_EMAIL)) {
            $model->CLI_EMAIL = $Interessado->INT_EMAIL;
        }

        if (empty($model->CLI_FONE1)) {
            $model->CLI_FONE1 = $Interessado->INT_TELEFONE1;
        }

        if (empty($model->CLI_FONE2)) {
            $model->CLI_FONE2 = $Interessado->INT_TELEFONE2;
        }

        if (empty($model->CLI_IDMOTIVO)) {
            $model->CLI_IDMOTIVO = $Interessado->INT_MOTIVOS;
        }

        if (empty($model->CLI_INDICACAO)) {
            $model->CLI_INDICACAO = $Interessado->INT_INDICACAO;
        }

        $this->PageTitle = false;
        $this->renderPartial('/interessados/_menu', array('model' => $Interessado, 'active' => 'transform'));
    }
}
?>

<?php if(isset($Interessado->INT_IDVENDEDOR)) { ?>
    <br /><br /><br />
    <h1>Interessados &raquo; Transformar em Prospecto &raquo; <?php echo $Interessado->INT_EMPRESA ?> </h1>
<?php } ?>
<div class="form">

    <?php
        if ($model->isNewRecord and $model->CLI_SITUACAO == '') {
            $model->CLI_SITUACAO = 'P';
            if (empty($model->CLI_TIPOPESSOA)) {
                $model->CLI_TIPOPESSOA = 'J';
            }
            //$model->CLI_IDVENDEDOR = User::getId();
        } else {
            if (strlen($model->CLI_CNPJCPF) == 14) {
                $model->CLI_CNPJCPF = substr($model->CLI_CNPJCPF, 0, 2) . '.' . substr($model->CLI_CNPJCPF, 2, 3) . '.' . substr($model->CLI_CNPJCPF, 5, 3) . '/' . substr($model->CLI_CNPJCPF, 8, 4) . '-' . substr($model->CLI_CNPJCPF, 12, 2);
            } elseif (strlen($model->CLI_CNPJCPF) == 11) {
                $model->CLI_CNPJCPF = substr($model->CLI_CNPJCPF, 0, 3) . '.' . substr($model->CLI_CNPJCPF, 3, 3) . '.' . substr($model->CLI_CNPJCPF, 6, 3) . '-' . substr($model->CLI_CNPJCPF, 9, 2);
            }
        }
    ?>
    <?php
        $form = $this->beginWidget('GxActiveForm', array(
            'id' => 'clientes-form',
            'enableAjaxValidation' => false,
            'htmlOptions' => array('class'=>'col-xs-12 form-cadastro inline-addon')
        ));
    ?>
        <?php
            $this->widget('application.extensions.EChosen.EChosen', array(
                'target' => '.echosen',
                'useJQuery' => true
            ));
        ?>
        <?php echo FaHtml::getFormInfo($form, $model); ?>

        <?php if (in_array(User::getPrivilegio(), [1, 7, 11])) { // Administrador ou Supervisor ou Administrativo ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_IDEMPRESA'); ?>
                <?php
                    $options = array('1' => 'Delvale Informática Ltda');
                    echo $form->dropDownList($model, 'CLI_IDEMPRESA', $options, array('prompt' => 'Selecione'));
                ?>
                <?php echo $form->error($model, 'CLI_IDEMPRESA'); ?>
            </div>
        <?php } ?>

        <?php if (User::isRevenda() && !User::isVendedor()) { ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_IDVENDEDOR'); ?>
                <?php
                    echo $form->dropDownList($model, 'CLI_IDVENDEDOR', User::getFuncionariosComercial(), array(
                        'prompt' => 'Selecione'
                    ));
                ?>
                <?php echo $form->error($model, 'CLI_IDVENDEDOR'); ?>
            </div>
        <?php } elseif (User::isVendedor()) { ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php
                    echo $form->hiddenField($model, 'CLI_IDVENDEDOR', array(
                        'type' => "hidden",
                        'value' => User::getId()
                    ));
                ?>
            </div>
        <?php } else { ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_IDVENDEDOR'); ?>
                <?php
                    $condition = "(
                        FUN_SITUACAO = 'A' and
                        FUN_IDFUNCIONARIO in (".implode(',', array_keys(User::getFuncionariosComercial())).')
                    )';
                    if (!empty($model->CLI_IDVENDEDOR)) {
                        $condition .= " or FUN_IDFUNCIONARIO = '{$model->CLI_IDVENDEDOR}'";
                    }
                    $condition .= " order by FUN_NOME";
                    $options = GxHtml::listDataEx(Funcionarios::model()->findAll($condition));
                    echo $form->dropDownList($model, 'CLI_IDVENDEDOR', $options, array('prompt' => 'Selecione'));
                ?>
                <?php echo $form->error($model, 'CLI_IDVENDEDOR'); ?>
            </div>
        <?php } ?>

        <?php if ($UpdateFull) { ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_TIPOPESSOA'); ?>
                <?php
                    $options = array(
                        'C' => 'Contador',
                        'E' => 'Entidade de Classe',
                        'S' => 'Escola',
                        'F' => 'Física',
                        'J' => 'Jurídica',
                        'P' => 'Parceiro',
                        'R' => 'Produtor Rural'
                    );
                    echo $form->dropDownList(
                        $model,
                        'CLI_TIPOPESSOA',
                        $options,
                        array(
                            'onchange' => 'TrocaTipoPessoa("CLI", this.value)',
                            'prompt' => 'Selecione'
                        )
                    );
                ?>
                <?php echo $form->error($model, 'CLI_TIPOPESSOA'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_NOME'); ?>
                <?php
                    $this->widget('ext.Utils.widgets.CrmAutoComplete', array(
                        'model' => $model,
                        'attribute' => 'CLI_NOME',
                        'url' => 'autocomplete/clientes',
                        'params' => array(
                            'funcionario: $("#Clientes_CLI_IDVENDEDOR").val()',
                            'revenda: $("#Clientes_CLI_IDREVENDA").val()',
                            'cidade: $("#Clientes_CLI_CIDADE").val()',
                            'situacao: ""+$("#Clientes_CLI_SITUACAO").val()',
                            'field: "CLI_NOME"',
                        )
                    ));
                ?>
                <?php echo $form->error($model, 'CLI_NOME'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_FANTASIA'); ?>
                <?php echo $form->textField($model, 'CLI_FANTASIA', array('maxlength' => 100)); ?>
                <?php echo $form->error($model, 'CLI_FANTASIA'); ?>
            </div>
        <?php } ?>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_IDCONTADOR'); ?>
            <?php
                $this->widget('ext.select2.ESelect2', array(
                    'model' => $model,
                    'attribute' => 'CLI_IDCONTADOR',
                    'relatedModel' => 'Clientes',
                    'ajaxConf' => array(
                        'url' => Yii::app()->createUrl('autocomplete/contador'),
                        'params' => array(
                            'field: "CLI_NOME"',
                            'id: "CLI_IDCLIENTE"',
                            'all: "true"',
                        )
                    ),
                ));
            ?>
        </div>

        <?php if ($UpdateFull) { ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_NIVELINTERESSE'); ?>
                <?php echo $form->dropDownList($model, 'CLI_NIVELINTERESSE', Util::getNiveisInteresseList(), array('prompt' => 'Selecione')); ?>
                <?php echo $form->error($model, 'CLI_NIVELINTERESSE'); ?>
            </div>
        <?php } ?>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_CONTATO'); ?>
            <?php echo $form->textField($model, 'CLI_CONTATO', array('maxlength' => 100)); ?>
            <?php echo $form->error($model, 'CLI_CONTATO'); ?>
        </div>

        <?php /*
        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_STATUS_REVISAO'); ?>
            <?php
                echo $form->dropDownList($model, 'CLI_STATUS_REVISAO', Util::getStatusRevisaoList(), array(
                    'prompt' => 'Selecione'
                ));
            ?>
            <?php echo $form->error($model, 'CLI_STATUS_REVISAO'); ?>
        </div>*/ ?>

        <?php if ($UpdateFull) { ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group input-group">
                <?php echo $form->labelEx($model, 'CLI_CNPJCPF'); ?>
                <div class="col-xs-12">
                    <?php echo $form->textField($model, 'CLI_CNPJCPF', array('maxlength' => 18, 'class' => 'mask-cnpjcpf form-control btn-on-right')); ?>
                    <span class="input-group-btn">
                        <button id="consultaCnpj" class="btn btn-default consulta-cnpj" data-dias="30">
                            Consultar
                        </button>
                    </span>
                </div>
                <div class="color-red" id="msgConsulta" style="display: none;">
                    <p id="retornoConsulta"></p>
                    <button class="btn btn-info consulta-cnpj" data-dias="0">
                        Consultar Situação Atual
                    </button>
                </div>
                <?php echo $form->error($model, 'CLI_CNPJCPF'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_INSCR_EST'); ?>
                <?php echo $form->textField($model, 'CLI_INSCR_EST', array('maxlength' => 15)); ?>
                <?php echo $form->error($model, 'CLI_INSCR_EST'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group input-group- select-group-">
                <?php echo $form->labelEx($model, 'CLI_SIMPLES'); ?>
                <?php echo $form->dropDownList($model, 'CLI_SIMPLES', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'class' => 'form-control btn-on-right-')); ?>
                <?php //echo FaHtml::btnModal(); ?>
                     <div id="optante_simples" class="color-blue"></div>
                <div id="optante_simples" class="color-blue"></div>
                <?php echo $form->error($model, 'CLI_SIMPLES'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_ENDERECO'); ?>
                <?php echo $form->textField($model, 'CLI_ENDERECO', array('maxlength' => 255)); ?>
                <?php echo $form->error($model, 'CLI_ENDERECO'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_NUMERO'); ?>
                <?php echo $form->textField($model, 'CLI_NUMERO', array('maxlength' => 15)); ?>
                <?php echo $form->error($model, 'CLI_NUMERO'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_COMPLEMENTO'); ?>
                <?php echo $form->textField($model, 'CLI_COMPLEMENTO', array('maxlength' => 100)); ?>
                <?php echo $form->error($model, 'CLI_COMPLEMENTO'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_BAIRRO'); ?>
                <?php echo $form->textField($model, 'CLI_BAIRRO', array('maxlength' => 60)); ?>
                <?php echo $form->error($model, 'CLI_BAIRRO'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_CIDADE'); ?>
                <?php
                    $this->widget('ext.select2.ESelect2', array(
                        'model' => $model,
                        'attribute' => 'CLI_CIDADE',
                        'relatedModel' => 'Cidades',
                        'ajaxConf' => array(
                            'url' => Yii::app()->createUrl('autocomplete/cidades'),
                            'params' => User::isRevenda() ? array('funcionario: '. User::getId()) : array()
                        )
                    ));
                ?>
                <?php echo $form->error($model, 'CLI_CIDADE'); ?>
            </div>

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_CEP'); ?>
                <?php echo $form->textField($model, 'CLI_CEP', array('maxlength' => 9, 'onKeyPress' => 'return FormataCep(this,event)')); ?>
                <?php echo $form->error($model, 'CLI_CEP'); ?>
            </div>
        <?php } ?>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_POSSUIEMAIL'); ?>
            <?php echo $form->dropDownList($model, 'CLI_POSSUIEMAIL', array(1=>'Sim', 0 => 'Não')); ?>
            <?php echo $form->error($model, 'CLI_POSSUIEMAIL'); ?>
        </div>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_EMAIL'); ?>
            <?php echo $form->textField($model, 'CLI_EMAIL', array('maxlength' => 50, 'filter' => 'email', 'class' => 'lower')); ?>
            <?php echo $form->error($model, 'CLI_EMAIL'); ?>
        </div>

        <?php if ($bloqueia_edicao_email == false) {?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_EMAIL_AREA_CLIENTES'); ?>
                <?php echo $form->textField($model, 'CLI_EMAIL_AREA_CLIENTES', array('maxlength' => 50, 'filter' => 'email', 'class' => 'lower')); ?>
                <?php echo $form->error($model, 'CLI_EMAIL_AREA_CLIENTES'); ?>
            </div>
        <?php } ?>
        <div id="append_email">
            <?php if (!empty($model->CLE_EMAIL)) { ?>
                <?php foreach ($model->CLE_EMAIL as $key => $email) { ?>
                    <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                        <?php
                            $id = "Clientes_CLE_EMAIL{$key}";
                            echo $form->labelEx($model, 'CLE_EMAIL', array(
                                'label' => "E-mail Adicional {$key}",
                                'for' => $id
                            ));
                            echo $form->textField($model, "CLE_EMAIL[{$key}]", array(
                                'id' => $id,
                                'maxlength' => 50,
                                'filter' => 'email',
                                'class' => 'lower'
                            ));
                            echo $form->error($model, 'CLE_EMAIL');
                        ?>
                    </div>
                <?php } ?>
            <?php } ?>
        </div>
        <div style="margin-top:12px;" class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <button type="button" class="btn btn-primary" id="add_email">Adicionar E-mail</button>
        </div>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_HOMEPAGE'); ?>
            <?php echo $form->textField($model, 'CLI_HOMEPAGE', array('maxlength' => 50)); ?>
            <?php echo $form->error($model, 'CLI_HOMEPAGE'); ?>
        </div>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_FONE1'); ?>
            <?php echo $form->textField($model, 'CLI_FONE1', array('maxlength' => 14, 'class' => 'mask_telefone form-control btn-on-right')); ?>
            <span class="input-group-btn">
                <?php
                    $class = "btn-default";
                    $icon = "fa fa-square-o";
                    if (in_array("CLI_FONE1", $whatsappFields)) {
                        $class = "btn-success";
                        $icon = "fa-check-square-o";
                    }
                ?>
                <button id="whatsapp_field1" class="btn <?= $class; ?> toggleWhatsapp" data-field="CLI_FONE1">
                    <i class="fa <?= $icon; ?>"></i> Whatsapp
                </button>
            </span>
            <?php echo $form->error($model, 'CLI_FONE1'); ?>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_FONE2'); ?>
            <?php echo $form->textField($model, 'CLI_FONE2', array('maxlength' => 14, 'class' => 'mask_telefone form-control btn-on-right')); ?>
            <span class="input-group-btn">
                <?php
                    $class = "btn-default";
                    $icon = "fa fa-square-o";
                    if (in_array("CLI_FONE2", $whatsappFields)) {
                        $class = "btn-success";
                        $icon = "fa-check-square-o";
                    }
                ?>
                <button id="whatsapp_field2" class="btn <?= $class; ?> toggleWhatsapp" data-field="CLI_FONE2">
                    <i class="fa <?= $icon; ?>"></i> Whatsapp
                </button>
            </span>
        </div>
        <?php echo $form->error($model, 'CLI_FONE2'); ?>
        <?= $form->hiddenField($model, 'CLI_WHATSAPP_CHECKBOX2', array('value' => $model->CLI_WHATSAPP_CHECKBOX2)); ?>
        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_FONE3'); ?>
            <?php echo $form->textField($model, 'CLI_FONE3', array('maxlength' => 14, 'class' => 'mask_telefone form-control btn-on-right')); ?>
            <span class="input-group-btn">
                <?php
                    $class = "btn-default";
                    $icon = "fa fa-square-o";
                    if (in_array("CLI_FONE3", $whatsappFields)) {
                        $class = "btn-success";
                        $icon = "fa-check-square-o";
                    }
                ?>
                <button id="whatsapp_field3" class="btn <?= $class; ?> toggleWhatsapp" data-field="CLI_FONE3">
                    <i class="fa <?= $icon; ?>"></i> Whatsapp
                </button>
            </span>
        </div>
        <?php echo $form->error($model, 'CLI_FONE3'); ?>
        <?= $form->hiddenField($model, 'CLI_WHATSAPP_CHECKBOX3', array('value' => $model->CLI_WHATSAPP_CHECKBOX3)); ?>
        <?= $form->hiddenField($model, 'CLI_WHATSAPP_FIELDS'); ?>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_FAX'); ?>
            <?php echo $form->textField($model, 'CLI_FAX', array('maxlength' => 15, 'class'=> 'mask_telefone')); ?>
            <?php echo $form->error($model, 'CLI_FAX'); ?>
        </div>

        <?php if ($UpdateFull) { ?>
            <?php if (empty($hideMotivo)) { ?>
                <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                    <?php echo $form->labelEx($model, 'CLI_IDMOTIVO'); ?>
                    <?php echo $form->dropDownList($model, 'CLI_IDMOTIVO', CacheUtil::getComoNosConheceuList(), array('prompt' => 'Selecione')); ?>
                    <?php echo $form->error($model, 'CLI_IDMOTIVO'); ?>
                </div>
            <?php } ?>

            <?php
                $display = "none";
                $tipo = 0;
                if (in_array($model->CLI_IDMOTIVO, [51, 52, 53, 71])) { // Indicação de Cliente, Contador ou Interessados, Duplicação
                    $display = "block";
                    $tipo = $model->CLI_IDMOTIVO;
                }
            ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group" style="display: <?= $display; ?>">
                <?php echo $form->labelEx($model, 'CLI_INDICACAO', array('required' => $model->isNewRecord)); ?>
                <?php
                    $this->widget('ext.select2.ESelect2', array(
                        'model' => $model,
                        'attribute' => 'CLI_INDICACAO',
                        'relatedModel' => 'Clientes',
                        'ajaxConf' => array(
                            'url' => Yii::app()->createUrl('clientes/getOpcoesIndicacao'),
                            'params' => array(
                                'field: "CLI_NOME"',
                                'id: "CLI_IDCLIENTE"',
                                "tiposSelecionados: {$tipo}",
                            )
                        ),
                    ));
                ?>
                <?php echo $form->error($model, 'CLI_INDICACAO');?>
            </div><!-- row -->

            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_IDRAMO'); ?>
                <?php
                    $this->widget('ext.select2.ESelect2', array(
                        'model' => $model,
                        'attribute' => 'CLI_IDRAMO',
                        'relatedModel' => 'RamosAtividades',
                        'ajaxConf' => array(
                            'url' => Yii::app()->createUrl('ramosAtividades/filtroramo'),
                        )
                    ));
                ?>
                <?php echo $form->error($model, 'CLI_IDRAMO'); ?>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_IDFORNECEDOR'); ?>
                <?php
                    $this->widget('ext.select2.ESelect2', array(
                        'model' => $model,
                        'attribute' => 'CLI_IDFORNECEDOR',
                        'relatedModel' => 'Fornecedores',
                        'ajaxConf' => array(
                            'url' => Yii::app()->createUrl('fornecedores/filtrofornecedor'),
                        ),
                    ));
                ?>
                <?php echo $form->error($model, 'CLI_IDFORNECEDOR'); ?>
            </div>
        <?php } ?>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_DT_PROXIMA_VISITA_COMERCIAL');?>
            <?php
                $form->widget('ext.Utils.widgets.CrmDatePicker', array(
                    'model' => $model,
                    'attribute' => 'CLI_DT_PROXIMA_VISITA_COMERCIAL'
                ));
            ?>
            <?php echo $form->error($model, 'CLI_DT_PROXIMA_VISITA_COMERCIAL');?>
            <div class="clearfix"></div>
            <?php
                $cli = Clientes::model()->findByPk($model->CLI_IDCLIENTE);
                if ($cli) {
                    $old_date    = Util::formatDataMysql($cli->CLI_DT_PROXIMA_VISITA_COMERCIAL);
                    $Atendimento = false;
                    if ($old_date) {
                        $Atendimento = Atendimentos::model()->find("
                            ATD_IDCLIENTE = ".$cli->CLI_IDCLIENTE." and
                            ATD_TIPO = 'V' and
                            ATD_DTCADASTRO = '".$old_date."' and
                            ATD_SITUACAO = 'A'
                        ");
                        if ($Atendimento) {
                                echo '
                                <div class="color-red" style="font-size: 13px; width: 464px!important;">
                                    <i class="fa fa-info-circle"></i> <strong>Importante!</strong><br /><br />
                                    <span class="alterar-data-atd">Alterando a data "Próxima Visita", você reagendará o <a href="'.Yii::app()->request->baseUrl.'/index.php?r=atendimentos/view&id='.$Atendimento->ATD_IDATENDIMENTO.'" target="_blank">atendimento código '.$Atendimento->ATD_IDATENDIMENTO.'</a>.
                                        <span class="vendedor-atd" data-vendedor="'.$Atendimento->ATD_IDFUNCIONARIO.'"><br /><br />Além disso o atendimento terá seu vendedor alterado de '.$Atendimento->Atendente.' para <span class="vendedor-cliente">'.$model->VendedorResponsavel.' </span>.</span>
                                    </span>
                                    <span class="remover-data-atd">Removendo a data o <a href="'.Yii::app()->request->baseUrl.'/index.php?r=atendimentos/view&id='.$Atendimento->ATD_IDATENDIMENTO.'" target="_blank">atendimento código '.$Atendimento->ATD_IDATENDIMENTO.'</a> será cancelado.</span>
                                </div>';
                            } else {
                                echo '<div class="color-red" style="font-size: 13px; width: 464px!important;"><i class="fa fa-info-circle"></i> <strong>Importante!</strong><br /><br /> Atendimento referente a data anterior ('.$cli->CLI_DT_PROXIMA_VISITA_COMERCIAL.') do cliente não foi encontrado.<br /><br /> Alterando a data "Próxima Visita", um novo atendimento será agendado para o usuário <span class="vendedor-cliente">'.$model->VendedorResponsavel.'</span>.</div>';
                            }
                    } else {
                        echo '<div class="color-red" style="font-size: 13px; width: 464px!important;"><i class="fa fa-info-circle"></i> <strong>Importante!</strong><br /><br /> Alterando a data "Próxima Visita", você criará um novo agendamento para o vendedor <span class="vendedor-cliente">'.$model->VendedorResponsavel.'</span>.</div>';
                    }
                }
            ?>
            <div class="clear"></div>
        </div>

        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
            <?php echo $form->labelEx($model, 'CLI_OBS'); ?>
            <?php echo $form->textArea($model, 'CLI_OBS'); ?>
            <?php echo $form->error($model, 'CLI_OBS'); ?>
        </div>

        <?php if ((User::isAdmin() or User::getPrivilegio() == 7) and $model->CLI_SITUACAO == 'I') { ?>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_DTRESCISAO'); ?>
                <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'CLI_DTRESCISAO')); ?>
                <?php echo $form->error($model, 'CLI_DTRESCISAO'); ?>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 form-group">
                <?php echo $form->labelEx($model, 'CLI_IDRESCISAO'); ?>
                <?php echo $form->dropDownList($model, 'CLI_IDRESCISAO', GxHtml::listDataEx(Motivos::model()->findAll('MOT_TIPO=3 AND MOT_SITUACAO="A" ORDER BY MOT_DESCRICAO')), array('prompt' => 'Selecione')); ?>
                <?php echo $form->error($model, 'CLI_IDRESCISAO'); ?>
            </div>
        <?php } ?>

        <?php echo FaHtml::saveButton(); ?>
    <?php $this->endWidget(); ?>
</div><!-- form -->

<script>
    $(document).ready(function () {
        $(document).on('click', '.toggleWhatsapp', function(event) {
            event.preventDefault();
            var field = $(this).data('field');
            var whatsappFields = $("#Clientes_CLI_WHATSAPP_FIELDS").val();
            if (whatsappFields == "" || whatsappFields == undefined) {
                whatsappFields = new Array();
            } else {
                whatsappFields = jQuery.parseJSON(whatsappFields);
            }

            if ($.inArray(field, whatsappFields) != -1) {
                $(this).removeClass('btn-success').addClass('btn-default');
                $(this).children('i').removeClass('fa-check-square-o').addClass('fa-square-o');

                whatsappFields = whatsappFields.filter(item => item !== field)
            } else {
                $(this).removeClass('btn-default').addClass('btn-success');
                $(this).children('i').removeClass('fa-square-o').addClass('fa-check-square-o');
                whatsappFields.push(field);
            }

            $("#Clientes_CLI_WHATSAPP_FIELDS").val(JSON.stringify(whatsappFields))
        });

        $('#whatsapp_field2, #whatsapp_field3').click(function () {
            if (this.id == 'whatsapp_field2') {
                if($('#Clientes_CLI_WHATSAPP_CHECKBOX2').val() == 'false') {
                    $('#Clientes_CLI_WHATSAPP_CHECKBOX2').val('true');
                } else {
                    $('#Clientes_CLI_WHATSAPP_CHECKBOX2').val('false');
                }
            } else if (this.id == 'whatsapp_field3') {
                if($('#Clientes_CLI_WHATSAPP_CHECKBOX3').val() == 'false') {
                    $('#Clientes_CLI_WHATSAPP_CHECKBOX3').val('true');
                } else {
                    $('#Clientes_CLI_WHATSAPP_CHECKBOX3').val('false');
                }
            }
        });

        $('label[for=Clientes_CLI_EMAIL]').append(' <span class="required">*</span>');
        $('label[for=Clientes_CLI_EMAIL_AREA_CLIENTES]').append(' <span class="required">*</span>');
        toggleEmail($("#Clientes_CLI_POSSUIEMAIL").val());
        function toggleEmail(show) {
            if(show == 1) {
                $('#Clientes_CLI_EMAIL').parent().show();
                $('#Clientes_CLI_EMAIL_AREA_CLIENTES').parent().show();
                $("#add_email").parent().show();
            } else {
                $('#Clientes_CLI_EMAIL').parent().hide();
                $('#Clientes_CLI_EMAIL').val('');
                $('#Clientes_CLI_EMAIL_AREA_CLIENTES').parent().hide();
                $('#Clientes_CLI_EMAIL_AREA_CLIENTES').val('');
                $("#add_email").parent().hide();
            }
        }
        $("#Clientes_CLI_POSSUIEMAIL").change(function () {
            toggleEmail($(this).val());
        });
        $("#Clientes_CLI_TIPOPESSOA").change(function () {
            if ($("#Clientes_CLI_TIPOPESSOA").val() == 'F') {
                $("#Clientes_CLI_INSCR_EST").val('ISENTO');
            }

            if ($("#Clientes_CLI_TIPOPESSOA").val() != 'C') {
                $("label[for='Clientes_CLI_IDCONTADOR']").html('Contador <span class=required>*</span>');
            } else {
                $("label[for='Clientes_CLI_IDCONTADOR']").html('Contador');
            }
        });

        if ($('#Clientes_CLI_TIPOPESSOA').val() != 'C') {
            $("label[for='Clientes_CLI_IDCONTADOR']").html('Contador <span class=required>*</span>');
        }
        $("#Clientes_CLI_IDVENDEDOR").change(function () {
            verificaVendedorAtd();
        });
        $("#Clientes_CLI_DT_PROXIMA_VISITA_COMERCIAL").change(function () {
            verificacancelamentoAgenda();
        });
        verificaVendedorAtd();
        verificacancelamentoAgenda();
        function verificacancelamentoAgenda() {
            var data = $('#Clientes_CLI_DT_PROXIMA_VISITA_COMERCIAL').val();
            if(data == '') {
                $('.remover-data-atd').show();
                $('.alterar-data-atd').hide();
            } else {
                $('.remover-data-atd').hide();
                $('.alterar-data-atd').show();
            }
        }
        <?php if (User::isVendedor()) {?>
                function verificaVendedorAtd() {
                    $('.vendedor-cliente').html('<?php echo User::getName();?>');

                    var vendedorAtd = $('.vendedor-atd').data('vendedor');
                    var data = $('#Clientes_CLI_DT_PROXIMA_VISITA_COMERCIAL').val();
                    if(vendedorAtd != <?php echo User::getId();?> && data != '') {
                        $('.vendedor-atd').show();
                    } else {
                        $('.vendedor-atd').hide();
                    }
                }
        <?php } else {?>
            function verificaVendedorAtd() {
                    $('.vendedor-cliente').html($('#Clientes_CLI_IDVENDEDOR option:selected').text());
                    var vendedorAtd = $('.vendedor-atd').data('vendedor');
                    var data = $('#Clientes_CLI_DT_PROXIMA_VISITA_COMERCIAL').val();
                    if(vendedorAtd != $("#Clientes_CLI_IDVENDEDOR").val() && data != '') {
                        $('.vendedor-atd').show();
                    } else {
                        $('.vendedor-atd').hide();
                    }
                }
        <?php }?>

        $(document).on('change', '#Clientes_CLI_IDMOTIVO', function(event) {
            event.preventDefault();

            var tipo = $(this).val();
            if (tipo != "") {
                if (tipo == 51 || tipo == 52 || tipo == 53 || tipo == 71) {
                    $("#Clientes_CLI_INDICACAO").parent().fadeIn(400);
                    $("#Clientes_CLI_INDICACAO").prop('disabled', false);

                    $("#Clientes_CLI_INDICACAO").select2('destroy');
                    $('#Clientes_CLI_INDICACAO').select2({
                        'formatNoMatches':function() {
                            return "Nenhum resultado";
                        },
                        'formatInputTooShort':function(input,min) {
                            return "Digite mais "+(min-input.length)+" caracteres";
                        },
                        'formatInputTooLong':function(input,max) {
                            return "Digite "+(input.length-max)+" caracteres a menos";
                        },
                        'formatSelectionTooBig':function(limit) {
                            return "Você só pode selecionar "+limit+" item";
                        },
                        'formatLoadMore':function(pageNumber) {
                            return "Carregando..";
                        },
                        'formatSearching':function() {
                            return "Procurando..";
                        },
                        'language':'pt\x2DBR',
                        'ajax':{
                            'type':'GET',
                            'url': createUrl('clientes/getOpcoesIndicacao'),
                            'dataType':'json',
                            'contentType':'application/json',
                            'delay':100,
                            'data':function (params) {
                                return {
                                    field: "CLI_NOME",
                                    id: "CLI_IDCLIENTE",
                                    term: params.term,
                                    tiposSelecionados: tipo,
                                };
                            },
                            'processResults':function (data, params) {
                                return {
                                    results: data
                                };
                            }
                        },
                        'allowClear':false,
                        'placeholder':'Selecione',
                        'minimumInputLength':3
                    });
                } else {
                    $("#Clientes_CLI_INDICACAO").parent().fadeOut(400);
                    $("#Clientes_CLI_INDICACAO").prop('disabled', 'disabled');
                }
            } else {
                $("#Clientes_CLI_INDICACAO").parent().fadeOut(400);
                $("#Clientes_CLI_INDICACAO").prop('disabled', 'disabled');
            }
        });
    });
</script>
<!-- Modal -->
<div class="modal fade" id="captchaModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only hide">Fechar</span></button>
                <h4 class="modal-title" id="myModalLabel">Captcha</h4>
            </div>
            <div class="modal-body">
                <img id="captcha_img" src="" />
                <a href="javascript: reloadCaptcha();"><img src="<?php echo FaHtml::getImgUrl('reload.png'); ?>" /></a><br /><br />
                <input type="text" class="form-control" id="captcha" placeholder="Informe os caracteres da imagem acima" />
                <input type="hidden" id="cookie" name="cookie" value=""/>
                <!-- optante pelo simples -->
                <input type="hidden" id="viewState" name="viewState" value="">
                <input type="hidden" id="hiddenField1" name="hiddenField1" value="">
                <input type="hidden" id="hddServidorCaptcha" name="hddServidorCaptcha" value="">
                <input type="hidden" id="viewStateGenerator" name="viewStateGenerator" value="">
                <input type="hidden" id="cnpj" name="cnpj" value="<?php echo $model->CLI_CNPJCPF; ?>">
                <!-- fim optante pelo simples -->

                <div id="erro-consulta" class="color-red"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                <button type="button" class="btn btn-primary" id="consultarCNPJ" data-loading-text="<i class='fa fa-spinner fa-spin '></i> Consultando..">Consultar</button>
            </div>
        </div>
    </div>
</div>
<?php
$cs = Yii::app()->getClientScript();
$css = <<<CSS
    #page .container #content {
        margin-top: 0px!important;
    }
    h1 {
        margin-bottom: 0px!important;
        padding:0!important;
        padding-bottom:0!important;
    }
    .color-red a {
        text-decoration: underline;
    }
    .color-red * {
        color: #ff0000;
        font-size: 13px;
    }
    .color-red a:hover {
        color: #6b3030;
    }
    .form-group {
        clear:both;
        display:block;
        float:left;
    }
    #msgConsulta {
        float: left;
        padding: 8px 0;
    }
    .avisoConsultaCnpj {
        padding: 0 4px !important;
        border: 4px solid #d9534f;
        border-radius: 6px;
    }
    #Clientes_CLI_FONE1, #Clientes_CLI_FONE2, #Clientes_CLI_FONE3 {
        width: 78%!important;
    }
    .inline-addon #open-modal {
        width: 60px!important;
    }
CSS;
$cs->registerCss(Util::uid(), $css);

$script = <<<JAVASCRIPT
    jQuery(document).ready(function($) {
        $(document).on('click', '.consulta-cnpj', function(event) {
            var button = $(this);
            var cnpj = $("#Clientes_CLI_CNPJCPF").val();
            var dias = $(this).data('dias');

            cnpj = cnpj.replace(/(\.|\/|\-)/g, "");
            if (cnpj != "" && cnpj.length > 11) {
                button.addClass('disabled').prop('disabled', true);

                $.ajax({
                    url: createUrl('clientes/consultaCnpj'),
                    type: 'GET',
                    dataType: 'json',
                    data: {
                        cnpj: cnpj,
                        dias: dias
                    },
                })
                .done(function(json) {
                    if (json.status == "OK") {
                        if (json.atualizacao_antiga) {
                            $("#msgConsulta").show(0, function() {
                                $(this).parent().addClass('avisoConsultaCnpj');
                                $("#retornoConsulta").html("Dados armazenados há mais de 7 dias. <br>");
                                $("#retornoConsulta").append('Clique no botão abaixo se deseja consultar a situação atual.');
                                $(this).find('button').show();
                            });
                        } else {
                            $("#msgConsulta").hide();
                            $("#msgConsulta").parent().removeClass('avisoConsultaCnpj');
                        }

                        $('#Clientes_CLI_NOME').val(json.nome).parent('div.form-group').addClass('atualizado');
                        $('#Clientes_CLI_FANTASIA').val(json.fantasia).parent('div.form-group').addClass('atualizado');
                        $('#Clientes_CLI_ENDERECO').val(json.logradouro).parent('div.form-group').addClass('atualizado');
                        $('#Clientes_CLI_NUMERO').val(json.numero).parent('div.form-group').addClass('atualizado');
                        $('#Clientes_CLI_COMPLEMENTO').val(json.complemento).parent('div.form-group').addClass('atualizado');
                        $('#Clientes_CLI_BAIRRO').val(json.bairro).parent('div.form-group').addClass('atualizado');
                        $('#Clientes_CLI_CEP').val(json.cep).parent('div.form-group').addClass('atualizado');

                        var paramCidade = {
                            cidade: json.municipio,
                            uf: json.uf
                        };
                        $.post(createUrl('autocomplete/cidade'), paramCidade, function(cidade) {
                            if (cidade != "") {
                                $("#Clientes_CLI_CIDADE").select2('destroy');
                                $("#Clientes_CLI_CIDADE").parent('div.form-group').addClass('atualizado');
                                $('#Clientes_CLI_CIDADE').html('<option value="'+cidade.id+'" selected>'+cidade.text+'</option>');
                                $('#Clientes_CLI_CIDADE').select2({
                                    'formatNoMatches':function() {
                                        return "Nenhum resultado";
                                    },
                                    'formatInputTooShort':function(input,min) {
                                        return "Digite mais "+(min-input.length)+" caracteres";
                                    },
                                    'formatInputTooLong':function(input,max) {
                                        return "Digite "+(input.length-max)+" caracteres a menos";
                                    },
                                    'formatSelectionTooBig':function(limit) {
                                        return "Você só pode selecionar "+limit+" item";
                                    },
                                    'formatLoadMore':function(pageNumber) {
                                        return "Carregando..";
                                    },
                                    'formatSearching':function() {
                                        return "Procurando..";
                                    },
                                    'language':'pt-BR',
                                    'ajax':{
                                        'type': 'get',
                                        'url': createUrl('autocomplete/cidades'),
                                        'dataType': 'json',
                                        'contentType': 'application/json',
                                        'delay': 100,
                                        'data':function (params) {
                                            return {
                                                term: params.term,
                                                json: true
                                            };
                                        },
                                        'processResults':function (data, params) {
                                            return {
                                                results: data
                                            };
                                        }
                                    },
                                    'allowClear': false,
                                    'placeholder': 'Selecione',
                                    'minimumInputLength': 3
                                });
                            }
                        }, "json");
                    } else {
                        $("#msgConsulta").show(0, function() {
                            $("#retornoConsulta").html(json.message);
                            $(this).find('button').hide();
                        });
                        button.removeClass('disabled').prop('disabled', false);
                    }
                })
                .fail(function() {
                    $("#loading").hide();
                    $("#retornoConsulta").html("Ocorreu um erro na consulta! <br>");
                    $("#retornoConsulta").append("Tente novamente ou faça a consulta na receita no botão abaixo.");
                });
            } else {
                if (cnpj == "") {
                    alert("Informe um CNPJ!");
                } else {
                    alert("A consulta somente está disponível para CNPJs!");
                }
            }
            return false;
        });
    });
$(function() {
    $("#open-modal").click(function() {
        reloadCaptcha();
    });
    $("#consultarCNPJ").click(function() {
        $('#erro-consulta').html('');
        var param = {
            cnpj: $("#Clientes_CLI_CNPJCPF").val(),
            captcha: $("#captcha").val(),
            cookie: $("#cookie").val(),
            viewState: $("#viewState").val(),
            hiddenField1: $("#hiddenField1").val(),
            hddServidorCaptcha: $("#hddServidorCaptcha").val(),
            viewStateGenerator: $("#viewStateGenerator").val(),
        };

        $.ajax({
            url: createUrl('autocomplete/simplesNacional'),
            type: 'POST',
            dataType: 'json',
            timeout: 10000,
            data: param
        })
        .done(function(json) {
            console.log(json);
            if(!json) {
                $('#erro-consulta').html('Erro ao buscar informações no site do simples nacional.');
                return;
            }
            if (json.code === 0 && json.message == undefined) {
                $("#optante_simples").text(json.situacao_simples_nacional);
                var opt = (json.situacao_simples_nacional.indexOf("NÃO optante pelo Simples Nacional") >= 0)  ? 0 : 1;
                $("#Clientes_CLI_SIMPLES > option[value="+opt+"]").prop('selected', true);
                $("#Clientes_CLI_SIMPLES").parent('div.row').addClass('atualizado');
                $('#captchaModal').modal('hide');
            } else {
                if(json.message != undefined) {
                    $('#erro-consulta').html(json.message);
                } else {
                    $('#erro-consulta').html('Erro ao buscar informações no site do simples nacional.');
                }
                return;
            }
        })
        .fail(function() {
            $('#erro-consulta').html('Erro ao buscar informações no site do simples nacional.');
        });
    });
});
JAVASCRIPT;

$cs->registerScript(Util::uid(), $script);?>

<script type="text/javascript">
    function paramsSimplesNacional() {
    $('#captcha').val('');
    $.ajax({
        url: createUrl('autocomplete/simplesNacionalParams'),
        type: 'POST',
        dataType: 'json',
        timeout: 10000,
    })
    .done(function(json) {
        if(!json) {
            $('#erro-consulta').html('Erro ao buscar imagem do captcha.');
            return;
        }
        if (json.captchaBase64 != "" && json.cookie != "") {
            $('#captcha_img').prop('src', json.captchaBase64);
            $('#cookie').val(json.cookie);
            $('#viewState').val(json.viewState);
            $('#hiddenField1').val(json.hiddenField1);
            $('#hddServidorCaptcha').val(json.hddServidorCaptcha);
            $('#viewStateGenerator').val(json.viewStateGenerator);
        } else {
            if(json.message != undefined) {
                $('#erro-consulta').html(json.message);
            } else {
                $('#erro-consulta').html('Erro ao buscar imagem do captcha.');
            }
        }
    })
    .fail(function() {
        $('#erro-consulta').html('Erro ao buscar imagem do captcha.');
    });
}
function reloadCaptcha() {
    $('#erro-consulta').html('');
    $('#captcha').val('');
    $('.atualizado').removeClass('atualizado');
    paramsSimplesNacional();
}
</script>
<style type="text/css">
    .btn-on-right.error ~ .input-group-btn > .btn {
        margin-top:3px!important;
    }
</style>
